QB_LOOP_TIMER_IS_RUNNING(3)

NAME
qb_loop_timer_is_running - Check to see if a timer that is still outstanding.

SYNOPSIS
#include <qb/qbloop.h>

int32_t qb_loop_timer_is_running(
    qb_loop_t            *l,   /* pointer to the loop instance */
    qb_loop_timer_handle  th   /* handle to delete the timer if needed. */
);

PARAMS
l pointer to the loop instance

th handle to delete the timer if needed.

DESCRIPTION

RETURN VALUE

QB_TRUE yes this timer is outstanding

QB_FALSE this timer does not exist or has expired

SEE ALSO

qb_loop_job_del(3), qb_loop_run(3), qb_loop_create(3), qb_loop_stop(3), qb_loop_poll_low_fds_event_set(3), qb_loop_signal_del(3), qb_loop_signal_add(3), qb_loop_job_add(3), qb_loop_poll_del(3), qb_loop_destroy(3), qb_loop_timer_expire_time_remaining(3), qb_loop_poll_mod(3), qb_loop_signal_mod(3), qb_loop_timer_del(3), qb_loop_timer_add(3), qb_loop_timer_expire_time_get(3), qb_loop_poll_add(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.